<template>
    <div style="position: relative">
        <slot></slot>
        <div
            style="position: absolute;top: 0;right: 0;left: 0;bottom: 0; display: flex;justify-content: center;align-items: center; background: rgba(255,255,255,0.4)"
            v-if="isDisabled">
            <div style="display: flex">
                <svg xmlns:svg="http://www.w3.org/2000/svg" xmlns="http://www.w3.org/2000/svg" version="1.0" width="28"
                     viewBox="0 0 128 128" height="28">
                    <g>
                        <path
                            d="m 64.000012,31.484944 28.902346,36.127871 28.902242,-36.127871 -7.22553,65.030147 -101.158086,0 L 6.1954237,31.484944 35.0977,67.612815 64.000012,31.484944 z"
                            style="fill:#ffcd00;fill-opacity:1;fill-rule:evenodd;stroke:#000000;stroke-width:4.33534527;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"/>
                    </g>
                </svg>
                <span style="margin-left:10px;font-weight: 600">Premium</span>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    props: ["isDisabled"],

};
</script>
